# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Object.hpp File Reference

`#include <vl/checks.hpp>`
`#include <string>`

## Classes
class | vl::Object
| The base class for all the reference counted objects. More...
class | vl::ref< T >
| The ref<> class is used to reference-count an Object. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Functions
template<class T1 , class T2 >
bool | vl::operator== (const ref< T1 > &o1, const ref< T2 > &o2)
template<class T1 , class T2 >
bool | vl::operator!= (const ref< T1 > &o1, const ref< T2 > &o2)
template<class T1 , class T2 >
bool | vl::operator== (const ref< T1 > &o1, T2 *o2)
template<class T1 , class T2 >
bool | vl::operator!= (const ref< T1 > &o1, T2 *o2)
template<class T1 , class T2 >
bool | vl::operator== (T1 *o1, const ref< T2 > &o2)
template<class T1 , class T2 >
bool | vl::operator!= (T1 *o1, const ref< T2 > &o2)

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.